Package org.eclipse.birt.report.model.api

# Class BundleFactory

java.lang.Object
org.eclipse.birt.report.model.api.BundleFactory

public class BundleFactory extends Object
The internal factory to find resources in the bundle.

## Constructor Summary

Constructors
Constructor
Description
`BundleFactory()`

## Method Summary

Modifier and Type
Method
Description
`static IBundleFactory`
`getBundleFactory()`
Returns the bundle factory.
`static void`
`releaseInstance()`
Releases bundle factory.
`static void`
`setBundleFactory(IBundleFactory factory)`
Sets the bundle factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BundleFactory

public BundleFactory()

## Method Details

### setBundleFactory

public static void setBundleFactory(IBundleFactory factory)
Sets the bundle factory.

Parameters:
  `factory` - the bundle factory

### getBundleFactory

public static IBundleFactory getBundleFactory()
Returns the bundle factory.

Returns:
  the bundle factory.

### releaseInstance

public static void releaseInstance()
Releases bundle factory.